#include <stdio.h>
long crazy( long A[], long n ) {
       long i,s;
       if( n<=1 ) return A[0];
       for( i=1; i<n; i++ )
           A[i-1] += A[i];
       s = crazy(A,n-1);
       return s;
    }


int main() {
    long n,i,t,A[10];
    for( n = 2; n<10; n++ ) {
        for( i=0; i<n; i++ ) A[i] = 1;
        t = crazy(A,n);
        printf("n=%d  t=%d\n",n,t);
    }
    return 1;
}
